SDL_SysWMinfo Struct Reference

`#include <SDL_syswm.h>`

Collaboration diagram for SDL_SysWMinfo:
[legend]

## Data Fields

SDL_version | version
SDL_SYSWM_TYPE | subsystem
union {
struct {
Display * display
Window window
} x11
struct {
struct wl_display * display
struct wl_surface * surface
struct wl_shell_surface * shell_surface
} wl
struct {
struct MirConnection * connection
struct MirSurface * surface
} mir
int dummy
} | info

## Detailed Description

The custom window manager information structure.

When this structure is returned, it holds information about which low level system it is using, and will be one of SDL_SYSWM_TYPE.

Definition at line 181 of file SDL_syswm.h.

## Field Documentation

struct MirConnection* SDL_SysWMinfo::connection

Mir display server connection

Definition at line 249 of file SDL_syswm.h.

Display* SDL_SysWMinfo::display

The X11 display

Definition at line 203 of file SDL_syswm.h.

struct wl_display* SDL_SysWMinfo::display

Wayland display

Definition at line 241 of file SDL_syswm.h.

int SDL_SysWMinfo::dummy

Definition at line 263 of file SDL_syswm.h.

union { ... } SDL_SysWMinfo::info

struct { ... } SDL_SysWMinfo::mir

struct wl_shell_surface* SDL_SysWMinfo::shell_surface

Wayland shell_surface (window manager handle)

Definition at line 243 of file SDL_syswm.h.

SDL_SYSWM_TYPE SDL_SysWMinfo::subsystem

Definition at line 184 of file SDL_syswm.h.

Referenced by SDL_GetWindowWMInfo(), and SDL_MessageboxValidForDriver().

struct wl_surface* SDL_SysWMinfo::surface

Wayland surface

Definition at line 242 of file SDL_syswm.h.

struct MirSurface* SDL_SysWMinfo::surface

Mir surface

Definition at line 250 of file SDL_syswm.h.

SDL_version SDL_SysWMinfo::version

Definition at line 183 of file SDL_syswm.h.

Referenced by SDL_MessageboxValidForDriver(), and syswm_getWindowWMInfo().

Window SDL_SysWMinfo::window

The X11 window

Definition at line 204 of file SDL_syswm.h.

struct { ... } SDL_SysWMinfo::wl

struct { ... } SDL_SysWMinfo::x11

The documentation for this struct was generated from the following file:

- include/SDL_syswm.h